@import '../../../styles.scss';

header {
    width: 95%;
    display: flex;
    max-width: 1200px;
    margin: 50px auto 0 auto;
    justify-content: space-between;

    .structure {
        &__logo {
            margin: auto 0;

            img {
                width: 200px;
                
                &:hover {
                    scale: 1.08;
                }

                transition: all 0.2s ease-in-out;
            }
        }

        &__menu {
            width: 100%;
            display: flex;
            max-width: 500px;

            ul {
                width: 100%;
                margin: auto;
                display: flex;
                justify-content: space-evenly;

                li {
                    a {
                        margin: auto;
                        font-size: 18px;
                        transition: all 0.2s ease-in-out;

                        &:hover {
                            color: #563aff;
                        }
                    }

                    &:nth-child(4) {
                        &:hover {
                            .arrow {
                                @include Arrows-Create('top', #563aff)
                            }
                        }
                    }
                }
            }

            @media screen and (max-width: 870px) {
                display: none;
            }
        }

        &__mobile {
            width: 230px;
            display: flex;
            justify-content: space-between;

            @include Create-Hamburger-Animation;
        }

        &__btn {
            margin: auto 0;

            button {
                border: none;
                padding: 16px 26px;
                border-radius: 40px;
                background-color: #563aff;
                transition: all 0.2s ease-in-out;

                a {
                    color: #fff;
                    font-size: 16px;
                    font-weight: 700;
                }

                &:hover {
                    scale: 1.05;
                    background-color: #FF4267;
                }
            }
        }
    }

    .arrow {
        transition: all 0.3s ease-in-out;
        @include Arrows-Create ('down', #6e7191);
    }
}